# Woclema - Weblob, Originally Command Line Editable/Manageable
# Copyright (C) 2006-2007 Tommi Saviranta  <wnd@iki.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


package Woclema::Config;

use strict;
use warnings FATAL => 'all';
use diagnostics;


# Rewrite.
#   0: don't use rewriting
#   1: use "entry-N"
#   2: use "$baseurl/entry/N"
#
use vars qw($rewrite);
$rewrite = 1;		# Use mod_rewrite

#my $db_host = "2001:14b8:13f:0:210:5aff:fe37:482d";	# Database hostaddress
my $db_host = "zenoo.in.katei.fi";	# Database hostaddress
my $db_port = 5431;		# Database port (optional)
my $db_db = "weblog";		# Database name
my $db_user = "weblog";		# Database user (optional)
my $db_pass = "weblog";		# Database password (optional)

use vars qw($base_url);
# $base_url = "http://wnd.katei.fi/weblog/";	# Weblog baseurl

# How many latest entries to show on default page.
use vars qw($latest_count);
$latest_count = 5;

# How many previous months with entries to show under calendar.
use vars qw($old_months);
$old_months = 12;


# If list of latest entries has exactly one entry, automatically
# show it with comments.
use vars qw($verbose_single_latest);
$verbose_single_latest = 0;

# If list of entries for given day has less than N entries, show the entries
# verbosely, but without comments. Otherwise print title only.
use vars qw($verbose_limit_day);
$verbose_limit_day = 5;

# If list of entries for given day has exactly one entry, automatically
# show it with comments.
use vars qw($verbose_single_day);
$verbose_single_day = 1;

# If list of entries for given month has less than N entries, show the entries
# verbosely, but without comments. Otherwise print title only.
use vars qw($verbose_limit_month);
$verbose_limit_month = 5;

# If list of entries for given month has exactly one entry, automatically
# show it with comments.
use vars qw($verbose_single_month);
$verbose_single_month = 1;

# If list of entries for given category has less than N entries, show the
# entries verbosely, but without comments. Otherwise print title only.
use vars qw($verbose_limit_category);
$verbose_limit_category = 0;

# If list of entries for given category has exactly one entry, automatically
# show it with comments.
use vars qw($verbose_single_category);
$verbose_single_category = 0;


=item get_db
Get database connect info

r: (host, port, database, user, password) (stuff can be undef)
=cut
sub get_db() {
	return ($db_host, $db_port, $db_db, $db_user, $db_pass);
}



return 1;
